post
https://api.ol-hub.com/backend/api/v1/projects
The create project API sends a POST request to add a project.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Prerequisites
- The caller must provide a project name of at least 3 characters.
Authorization
- API key (via the
X-API-KEYheader).
Parameters
Request Body — Project
| Field name | Description | Format |
|---|---|---|
| name | The name of the project | String |
| description | The description of the project | String |
| technology | Technology for project generation | String |
Request Body — Project with Modules
| Field name | Description | Format |
|---|---|---|
| project | Project Structure | Object |
| modulesIds | List of module IDs to attach to the project | Array |
Response Body
| Field name | Description | Format |
|---|---|---|
| id | The ID of the created project | UUID |
| name | The name of the project | String |
| createdAt | Timestamp when the project was created | DateTime |
| modifiedAt | Timestamp when the project was updated | DateTime |
| modifiedBy | The user who last modified the project | String |
| sysModifiedAt | System-level modification timestamp | DateTime |
| description | The description of the project | String |
| bookmarked | Whether the project is bookmarked | Boolean |
| technology | Technology for project generation | String |
Examples
{
"name": "project",
"description": "project description",
"technology": "HTTP"
}{
"id": "00000000-0000-0000-0000-000000000111",
"name": "project",
"createdAt": "2026-01-01T00:00:00.000000000Z",
"modifiedAt": "2026-01-01T00:00:00.000000000Z",
"modifiedBy": "John Doe",
"sysModifiedAt": "2026-01-01T00:00:00.000000000Z",
"description": "project description",
"bookmarked": false,
"technology": "HTTP"
}{
"project": {
"name": "project-with-modules",
"description": "project with modules description",
"technology": "HTTP"
},
"modulesIds": [
"00000000-0000-0000-0000-000000000011",
"00000000-0000-0000-0000-000000000022",
"00000000-0000-0000-0000-000000000033"
]
}{
"id": "00000000-0000-0000-0000-000000000111",
"name": "project-with-modules",
"createdAt": "2026-01-01T00:00:00.000000000Z",
"modifiedAt": "2026-01-01T00:00:00.000000000Z",
"modifiedBy": "John Doe",
"sysModifiedAt": "2026-01-01T00:00:00.000000000Z",
"description": "project with modules description",
"bookmarked": false,
"technology": "HTTP"
}
